using System;
using System.EnterpriseServices;

namespace ActivationTypeCompLib
{
	// Look at the ApplicationActivation attribute in AssemblyInfo.cs
	public class MyClass : ServicedComponent
	{
		private string creationInfo = null;

		public MyClass()
		{
			creationInfo = getAppDomainThreadInfo();
		}

		private static string getAppDomainThreadInfo()
		{
			return "AppDomain: " + AppDomain.CurrentDomain.FriendlyName + 
				" Thread ID: " + AppDomain.GetCurrentThreadId();
		}

		public string getInfo()
		{
			string info = "getInfo executed in " + getAppDomainThreadInfo() + 
								" on the object created in " + creationInfo;
			
			return info;
		}
	}
}
